/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __QUEUE_ITEM_BODY__H__
#define __QUEUE_ITEM_BODY__H__

#include <gtk/gtk.h>

#include "queue-item.h"
#include "group.h"
#include "message.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define TYPE_QUEUE_ITEM_BODY \
	(queue_item_body_get_type())
#define QUEUE_ITEM_BODY(obj) \
	(GTK_CHECK_CAST ((obj), TYPE_QUEUE_ITEM_BODY, QueueItemBody))
#define IS_QUEUE_ITEM_BODY(obj) \
	(GTK_CHECK_TYPE ((obj), TYPE_QUEUE_ITEM_BODY))

#define QUEUE_ITEM_BODY_CLASS(klass) \
	(GTK_CHECK_CLASS_CAST((klass),TYPE_QUEUE_ITEM_BODY,QueueItemBodyClass))
#define IS_QUEUE_ITEM_BODY_CLASS(klass) \
	(GTK_CHECK_CLASS_TYPE ((klass), TYPE_QUEUE_ITEM_BODY))

typedef struct _QueueItemBody           QueueItemBody;
typedef struct _QueueItemBodyClass      QueueItemBodyClass;


struct _QueueItemBody
{
	QueueItem item;

/* private */
	group_data *gdata;
	server_data *sdata;
	Message *message;
};

struct _QueueItemBodyClass
{
	QueueItemClass parent_class;
};


GtkType     queue_item_body_get_type    (void);

GtkObject*  queue_item_body_new         (server_data       *sdata,
                                         group_data        *gdata,
					 Message           *message);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __QUEUE_ITEM_BODY__H__ */
