/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __QUEUE_ITEM_DECODE__H__
#define __QUEUE_ITEM_DECODE__H__

#include <gtk/gtk.h>

#include "article-db.h"
#include "queue-item.h"
#include "group.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define TYPE_QUEUE_ITEM_DECODE \
	(queue_item_decode_get_type())
#define QUEUE_ITEM_DECODE(obj) \
	(GTK_CHECK_CAST ((obj), TYPE_QUEUE_ITEM_DECODE, QueueItemDecode))
#define IS_QUEUE_ITEM_DECODE(obj) \
	(GTK_CHECK_TYPE ((obj), TYPE_QUEUE_ITEM_DECODE))

#define QUEUE_ITEM_DECODE_CLASS(klass) \
	(GTK_CHECK_CLASS_CAST((klass),TYPE_QUEUE_ITEM_DECODE,QueueItemDecodeClass))
#define IS_QUEUE_ITEM_DECODE_CLASS(klass) \
	(GTK_CHECK_CLASS_TYPE ((klass), TYPE_QUEUE_ITEM_DECODE))

typedef struct _QueueItemDecode           QueueItemDecode;
typedef struct _QueueItemDecodeClass      QueueItemDecodeClass;


struct _QueueItemDecode
{
	QueueItem item;

/* private */
	group_data *gdata;
	article_db article_header_db;
	GSList *message_ids;
	gboolean open;
	gchar *readable_name;
};

struct _QueueItemDecodeClass
{
	QueueItemClass parent_class;
};



GtkType     queue_item_decode_get_type    (void);

GtkObject*  queue_item_decode_new         (server_data       *sdata,
                                           group_data        *gdata,
					   const gchar       *readable_name,
					   GSList            *message_ids,
					   gboolean           open);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __QUEUE_ITEM_DECODE__H__ */
