/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __QUEUE_ITEM_GROUPLIST__H__
#define __QUEUE_ITEM_GROUPLIST__H__

#include <gtk/gtk.h>

#include "queue-item.h"
#include "group.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define TYPE_QUEUE_ITEM_GROUPLIST \
	(queue_item_grouplist_get_type())
#define QUEUE_ITEM_GROUPLIST(obj) \
	(GTK_CHECK_CAST ((obj), TYPE_QUEUE_ITEM_GROUPLIST, QueueItemGrouplist))
#define QUEUE_ITEM_GROUPLIST_CLASS(klass) \
	(GTK_CHECK_CLASS_CAST((klass),TYPE_QUEUE_ITEM_GROUPLIST,QueueItemGrouplist))
#define IS_QUEUE_ITEM_GROUPLIST(obj) \
	(GTK_CHECK_TYPE ((obj), TYPE_QUEUE_ITEM_GROUPLIST))
#define IS_QUEUE_ITEM_GROUPLIST_CLASS(klass) \
	(GTK_CHECK_CLASS_TYPE ((klass), TYPE_QUEUE_ITEM_GROUPLIST))

typedef struct _QueueItemGrouplist           QueueItemGrouplist;
typedef struct _QueueItemGrouplistClass      QueueItemGrouplistClass;

typedef enum
{
	GROUPLIST_ALL,
	GROUPLIST_NEW
}
GrouplistDownloadType;

struct _QueueItemGrouplist
{
	QueueItem item;

	server_data *sdata;
	GrouplistDownloadType download_type;
};

struct _QueueItemGrouplistClass
{
	QueueItemClass parent_class;
};



GtkType     queue_item_grouplist_get_type    (void);

GtkObject*  queue_item_grouplist_new         (server_data *sdata, gboolean high_priority,
				GrouplistDownloadType type);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __QUEUE_ITEM_GROUPLIST__H__ */
