/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __QUEUE_ITEM_HEADERS__H__
#define __QUEUE_ITEM_HEADERS__H__

#include <gtk/gtk.h>

#include "queue-item.h"
#include "group.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define TYPE_QUEUE_ITEM_HEADERS \
	(queue_item_headers_get_type())
#define QUEUE_ITEM_HEADERS(obj) \
	(GTK_CHECK_CAST ((obj), TYPE_QUEUE_ITEM_HEADERS, QueueItemHeaders))
#define QUEUE_ITEM_HEADERS_CLASS(klass) \
	(GTK_CHECK_CLASS_CAST((klass),TYPE_QUEUE_ITEM_HEADERS,QueueItemHeadersClass))
#define IS_QUEUE_ITEM_HEADERS(obj) \
	(GTK_CHECK_TYPE ((obj), TYPE_QUEUE_ITEM_HEADERS))
#define IS_QUEUE_ITEM_HEADERS_CLASS(klass) \
	(GTK_CHECK_CLASS_TYPE ((klass), TYPE_QUEUE_ITEM_HEADERS))

typedef struct _QueueItemHeaders           QueueItemHeaders;
typedef struct _QueueItemHeadersClass      QueueItemHeadersClass;

typedef enum
{
	HEADERS_LOCAL,
	HEADERS_ALL,
	HEADERS_NEW,
	HEADERS_SAMPLE
}
HeaderDownloadType;

struct _QueueItemHeaders
{
	QueueItem item;

	group_data *gdata;
	HeaderDownloadType download_type;
};

struct _QueueItemHeadersClass
{
	QueueItemClass parent_class;
};



GtkType     queue_item_headers_get_type    (void);

GtkObject*  queue_item_headers_new         (server_data       *sdata,
                                            gboolean           high_priority,
                                            group_data        *gdata,
					    HeaderDownloadType type);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __QUEUE_ITEM_HEADERS__H__ */
