/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __PAN_SOCKET_H__
#define __PAN_SOCKET_H__

#include <time.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define PAN_TYPE_SOCKET (pan_socket_get_type())
#define PAN_SOCKET(obj) (GTK_CHECK_CAST ((obj), PAN_TYPE_SOCKET, PanSocket))
#define PAN_SOCKET_CLASS(klass) \
        (GTK_CHECK_CLASS_CAST ((klass), PAN_TYPE_SOCKET, PanSocket))
#define PAN_IS_SOCKET(obj) (GTK_CHECK_TYPE ((obj), PAN_TYPE_SOCKET))
#define PAN_IS_SOCKET_CLASS(klass) \
        (GTK_CHECK_CLASS_TYPE ((klass), PAN_TYPE_SOCKET))


typedef struct _PanSocket           PanSocket;
typedef struct _PanSocketClass      PanSocketClass;

struct _PanSocket
{
	GtkObject object;

/*Public Fields*/
	time_t last_action_time;

/*Private Fields*/  
	int sockfd;
	gchar* inbuf;
	gchar* endbuf;
	gchar* inptr;
	int line_buffer_size;
	gchar* line_buffer;
};

struct _PanSocketClass
{
	GtkObjectClass parent_class;
};


GtkType       pan_socket_get_type           (void);

GtkObject*    pan_socket_new                (const gchar*     address,
                                             gint             port);

void          pan_socket_destroy            (PanSocket       *sock);

gint          pan_socket_putline            (PanSocket       *sock,
                                             const gchar     *line);
gint          pan_socket_putline_va         (PanSocket       *sock,
                                             const gchar     *fmt,
                                             ...);
const gint    pan_socket_getline            (PanSocket       *sock,
                                             const gchar    **setme);




#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __PAN_SOCKET_H__ */
